Agent Terminals
List current terminal grants and recent removal history
List current terminal grants and recent removal history. The request requires an authenticated caller and enforces terminal ownership, access grants, and activity visibility.
GET
/
api
/
v1
/
vault
/
terminals
List current terminal grants and recent removal history
curl --request GET \
--url https://api.revoengine.com/api/v1/vault/terminals \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/vault/terminals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/vault/terminals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"devices": [
{
"agentTerminalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"workspace": "<string>",
"workspaces": [
{
"agentTerminalWorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path": "<string>",
"status": "pending",
"mode": "review",
"networkMode": "restricted",
"restricted": true,
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"browserSettingsRevision": 1,
"browserSettings": {
"fps": 32.5,
"width": 2080,
"height": 1320,
"alwaysRecord": true,
"recordingMode": "local",
"defaultBrowserProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"inheritDevicePermissions": true
}
],
"status": "pending",
"mode": "review",
"networkMode": "restricted",
"revision": 123,
"connectionRevision": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"restricted": true,
"users": [
"<string>"
],
"groups": [
"<string>"
],
"refToken": "<string>",
"lastOnlineAt": "2023-11-07T05:31:56Z",
"online": true,
"connectionIp": "<string>",
"canManage": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"lastUpdateBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123
}
],
"history": [
{
"agentTerminalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mode": "review",
"pairedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"lastOnlineAt": "2023-11-07T05:31:56Z"
}
]
}⌘I
List current terminal grants and recent removal history
curl --request GET \
--url https://api.revoengine.com/api/v1/vault/terminals \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/vault/terminals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/vault/terminals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"devices": [
{
"agentTerminalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"workspace": "<string>",
"workspaces": [
{
"agentTerminalWorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path": "<string>",
"status": "pending",
"mode": "review",
"networkMode": "restricted",
"restricted": true,
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"browserSettingsRevision": 1,
"browserSettings": {
"fps": 32.5,
"width": 2080,
"height": 1320,
"alwaysRecord": true,
"recordingMode": "local",
"defaultBrowserProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"inheritDevicePermissions": true
}
],
"status": "pending",
"mode": "review",
"networkMode": "restricted",
"revision": 123,
"connectionRevision": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"restricted": true,
"users": [
"<string>"
],
"groups": [
"<string>"
],
"refToken": "<string>",
"lastOnlineAt": "2023-11-07T05:31:56Z",
"online": true,
"connectionIp": "<string>",
"canManage": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"lastUpdateBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123
}
],
"history": [
{
"agentTerminalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mode": "review",
"pairedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"lastOnlineAt": "2023-11-07T05:31:56Z"
}
]
}
